Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.taglibs.standard.extra.spath
Class SPathFilter

    java.lang.Object
      org.xml.sax.helpers.XMLFilterImpl
          org.apache.taglibs.standard.extra.spath.SPathFilter

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler, XMLFilter, XMLReader

    public class SPathFilter

extends XMLFilterImpl

Filters a SAX stream based on a single supplied SPath expression.

Author:
  Shawn Bayern

Field Summary
`protected List` | `steps` The steps in the SPath expression we use for filtering.

Constructor Summary
`SPathFilter(Path path)` Constructs a new SPathFilter, given a Path.

Method Summary
`void` | `characters(char[] ch, int start, int length)` Filter for characters().
`void` | `endElement(String uri, String localName, String qName)` Filter for endElement().
`void` | `endPrefixMapping(String prefix)` Filter for endPrefixMapping().
`void` | `ignorableWhitespace(char[] ch, int start, int length)` Filter for ignoreableWhitespace().
`static boolean` | `nodeMatchesStep(Step s, String uri, String localName, String qName, Attributes a)`
`void` | `processingInstruction(String target, String data)` Filter for processingInstruction().
`void` | `skippedEntity(String name)` Filter for skippedEntity().
`void` | `startDocument()` Resets state.
`void` | `startElement(String uri, String localName, String qName, Attributes a)` Filter for startElement().
`void` | `startPrefixMapping(String prefix, String uri)` Filter for startPrefixMapping().

Methods inherited from class org.xml.sax.helpers.XMLFilterImpl
`endDocument, error, fatalError, getContentHandler, getDTDHandler, getEntityResolver, getErrorHandler, getFeature, getParent, getProperty, notationDecl, parse, parse, resolveEntity, setContentHandler, setDocumentLocator, setDTDHandler, setEntityResolver, setErrorHandler, setFeature, setParent, setProperty, unparsedEntityDecl, warning`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### steps

    protected List steps

  The steps in the SPath expression we use for filtering.

Constructor Detail

### SPathFilter

    public SPathFilter(Path path)

  Constructs a new SPathFilter, given a Path.

Method Detail

### startElement

    public void startElement(String uri,
                             String localName,
                             String qName,
                             Attributes a)
                      throws SAXException

  Filter for startElement().

  Specified by:
    `startElement` in interface `ContentHandler`
  Overrides:
    `startElement` in class `XMLFilterImpl`
  Throws:
    `SAXException`

### endElement

    public void endElement(String uri,
                           String localName,
                           String qName)
                    throws SAXException

  Filter for endElement().

  Specified by:
    `endElement` in interface `ContentHandler`
  Overrides:
    `endElement` in class `XMLFilterImpl`
  Throws:
    `SAXException`

### ignorableWhitespace

    public void ignorableWhitespace(char[] ch,
                                    int start,
                                    int length)
                             throws SAXException

  Filter for ignoreableWhitespace().

  Specified by:
    `ignorableWhitespace` in interface `ContentHandler`
  Overrides:
    `ignorableWhitespace` in class `XMLFilterImpl`
  Throws:
    `SAXException`

### characters

    public void characters(char[] ch,
                           int start,
                           int length)
                    throws SAXException

  Filter for characters().

  Specified by:
    `characters` in interface `ContentHandler`
  Overrides:
    `characters` in class `XMLFilterImpl`
  Throws:
    `SAXException`

### startPrefixMapping

    public void startPrefixMapping(String prefix,
                                   String uri)
                            throws SAXException

  Filter for startPrefixMapping().

  Specified by:
    `startPrefixMapping` in interface `ContentHandler`
  Overrides:
    `startPrefixMapping` in class `XMLFilterImpl`
  Throws:
    `SAXException`

### endPrefixMapping

    public void endPrefixMapping(String prefix)
                          throws SAXException

  Filter for endPrefixMapping().

  Specified by:
    `endPrefixMapping` in interface `ContentHandler`
  Overrides:
    `endPrefixMapping` in class `XMLFilterImpl`
  Throws:
    `SAXException`

### processingInstruction

    public void processingInstruction(String target,
                                      String data)
                               throws SAXException

  Filter for processingInstruction().

  Specified by:
    `processingInstruction` in interface `ContentHandler`
  Overrides:
    `processingInstruction` in class `XMLFilterImpl`
  Throws:
    `SAXException`

### skippedEntity

    public void skippedEntity(String name)
                       throws SAXException

  Filter for skippedEntity().

  Specified by:
    `skippedEntity` in interface `ContentHandler`
  Overrides:
    `skippedEntity` in class `XMLFilterImpl`
  Throws:
    `SAXException`

### startDocument

    public void startDocument()

  Resets state.

  Specified by:
    `startDocument` in interface `ContentHandler`
  Overrides:
    `startDocument` in class `XMLFilterImpl`

### nodeMatchesStep

    public static boolean nodeMatchesStep(Step s,
                                          String uri,
                                          String localName,
                                          String qName,
                                          Attributes a)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 Mort Bay Consulting. All Rights Reserved.